Package org.eclipse.help

## Interface ICriteriaDefinition

All Superinterfaces:
  `IUAElement`

    public interface ICriteriaDefinition
    extends IUAElement

ICriteriaDefinition represents the criteria definition of one plug-in. It contains criterion definitions, each of them is criterion id and its display name, and criterion values id and their display names.

Since:
  3.5

### Method Summary

All Methods Instance Methods Abstract Methods
`ICriterionDefinition[]` `getCriterionDefinitions()` Obtains the criterion definitions contained in the definition file.

### Methods inherited from interface org.eclipse.help.IUAElement

`getChildren, isEnabled`

### Method Detail

#### getCriterionDefinitions

    ICriterionDefinition[] getCriterionDefinitions()

Obtains the criterion definitions contained in the definition file.

Returns:
  Array of ICriterionDefinition